#ifndef _GTKMM_CELLRENDERERBUTTON_P_H
#define _GTKMM_CELLRENDERERBUTTON_P_H
#include <gtkmm/private/cellrenderer_p.h>
#include <glibmm/class.h>
#include "gtkcellrendererbutton.h"

namespace Gtk
{

class CellRendererButton;

class CellRendererButton_Class : public Glib::Class
{
public:
#ifndef DOXYGEN_SHOULD_SKIP_THIS
  typedef CellRendererButton CppObjectType;
  typedef GtkCellRendererButton BaseObjectType;
  typedef GtkCellRendererButtonClass BaseClassType;
  typedef Gtk::CellRenderer_Class CppClassParent;
  typedef GtkCellRendererClass BaseClassParent;

  friend class CellRendererButton;
#endif /* DOXYGEN_SHOULD_SKIP_THIS */

  GType get_type();

  static void class_init_function(BaseClassType* klass);
  static void object_init_function(BaseObjectType* object);

protected:

  static Glib::ObjectBase* wrap_new(GObject*);

  static void clicked_callback(GtkCellRendererButton* self, const gchar* p0);

};


} // namespace Gtk

#endif /* _GTKMM_CELLRENDERERBUTTON_P_H */

